from django.db import models


class Agencija(models.Model):
    ida = models.AutoField(db_column='IdA', primary_key=True)  # Field name made lowercase.
    naziv = models.CharField(db_column='Naziv', max_length=45)  # Field name made lowercase.
    adresa = models.CharField(db_column='Adresa', max_length=45)  # Field name made lowercase.
    cena = models.CharField(db_column='Cena', max_length=45)  # Field name made lowercase.
    vremeotvaranja = models.IntegerField(db_column='VremeOtvaranja')  # Field name made lowercase.
    vremezatvaranja = models.IntegerField(db_column='VremeZatvaranja')  # Field name made lowercase.

    class Meta:
        managed = False
        db_table = 'agencija'


class Termin(models.Model):
    idt = models.AutoField(db_column='IdT', primary_key=True)  # Field name made lowercase.
    regtablice = models.CharField(db_column='RegTablice', max_length=45)  # Field name made lowercase.
    cena = models.CharField(db_column='Cena', max_length=45)  # Field name made lowercase.
    datum = models.CharField(db_column='Datum', max_length=45)  # Field name made lowercase.
    vreme = models.IntegerField(db_column='Vreme')  # Field name made lowercase.
    ida = models.ForeignKey(Agencija, models.DO_NOTHING, db_column='IdA')  # Field name made lowercase.

    class Meta:
        managed = False
        db_table = 'termin'
